global_settings {max_trace_level 30}
#include "colors.inc"
#include "textures.inc"
#include "metals.inc"
#include "stones.inc"
#include "skies.inc"
#include "glass.inc"

#include "fountain.inc"
#default {finish {ambient .3 diffuse .2}}

//Camera
camera {location <0,30,-90> look_at <0,10,0>}

//Lichtquellen
light_source { <50,50,-120> color rgb <1,1,1> spotlight point_at <-20,0,-20> radius 5 tightness 100 falloff 10}

light_source {<0,80,-50> color White/4 atmosphere off}

#declare winkel = 0
#while (winkel < 360)
light_source { <0,0,0> color White fade_power 1 fade_distance 3 translate <0,3,20>rotate < 0 ,winkel, 0 >atmosphere off}
#declare winkel = winkel + 360/5
#end
#declare winkel = 0
#while (winkel < 360)
light_source { <0,0,0> color White fade_power 1 fade_distance 3 translate <0,3,40>rotate < 0 ,winkel, 0 >atmosphere off}
#declare winkel = winkel + 360/10
#end


//Gegenstnde
//object {Mage texture { T_Gold_5A finish {reflection .1} }rotate x*-90 scale 3 rotate <90,-135,0> translate <0,36,0>}
object {Brunnen}

//Wasser
disc {<0, 4, 0> y, 50, 32 pigment{color rgbt <.9,.9,1,.9>} normal {waves 0.06 frequency 5 phase 1 scale <1,.5,1>}
finish { ambient 0.5 diffuse .5 phong 1 phong_size 100 reflection .4 refraction on ior 1.5 caustics 1}
}
disc {<0, 8, 0> y, 35, 6 pigment{color rgbt <.9,.9,1,.9>} normal {waves 0.06 frequency 5 phase 1 scale <1,.5,1>}
finish { ambient 0.5 diffuse .5 phong 1 phong_size 100 reflection .4 refraction on ior 1.5 caustics 1}
}
cylinder {<0,0,0><0,8,0>30 pigment {color rgbf <1,1,1,1>}normal{ripples , 0.75}finish{ambient 0.1}}
cylinder {<0,0,0><0,4,0>50 pigment {color rgbf <1,1,1,1>}normal{ripples , 0.75}finish{ambient 0.1}}

//Wasserflle
difference {
sphere {<0,0,0>,39/2 scale <2,1,2>}
sphere {<0,0,0>,38.5/2 scale <2,1,2>}
cylinder {<0,0,0><0,9,0>6}
box {<40,8,40><-40,50,-40>}
box {<40,0,40><-40,-50,-40>}
pigment {color rgbf <.9,.9,1,.9>} normal {waves 0.06 frequency 5 phase 1 scale <1,.5,1>}
finish { ambient 0.5 diffuse .5 reflection .4 caustics 1}
}

//Boden mit Nebel
plane {y,-5 pigment {Blue}normal {waves 0.5 frequency 5 phase 1 scale <1,.5,1>}finish{reflection .3 ambient 0 diffuse .2}}
difference {
plane {y,-1 }
union {
sphere {0,1 scale <90,130,5>rotate <-90, 45,0> translate < 140,-1,150>}
sphere {0,1 scale <90,130,5>rotate <-90,-45,0> translate <-140,-1,150>}
}
texture {BodenTex}
}
fog {distance 25 color Gray60 fog_type 2 fog_offset 1 fog_alt 2 turbulence 200 turb_depth 1000}
fog {distance 200 color Gray10 fog_type 2 fog_offset 1 fog_alt 10 turbulence 200 turb_depth 1000 omega 5}

//Starfield
// COMMON GALAXY OPTIONS
   #declare galaxy_colour1 = <1,0,0>
   #declare galaxy_colour2 = <2,0,0>
   #declare galaxy_seed = 21
   #include "GALAXY.INC"

// STARFIELD BACKGROUND
   #declare galaxy_bgstars = 0
   #declare galaxy_bgnebula = false
   #declare galaxy_nebula_sphere = false
// OBJECTS
   #declare galaxy_object_name = concat("Comet", str(1,0,0))
   #declare galaxy_object_position = <5,20, 999>
   #declare galaxy_object_name = concat("Meteor", str(1,0,0))
   #declare galaxy_object_position = <20,0, 999>
   #declare galaxy_object_name = concat("Star", str(2,0,0))
   #declare galaxy_object_position = <10,-20, 999>
   #declare galaxy_object_name = concat("Star", str(4,0,0))
   #declare galaxy_object_position = <15,5, 999>
   #include "GALAXY.OBJ"

//Wolken
box {<-1000,100,-1000><1000,110,1000>texture {T_Cloud1 finish {ambient .3 diffuse .2}}scale <20,1,20>}

//Berge im Hintergrund
object {Berg scale <20,10,30> normal { agate,.5 agate_turb 1 scale 5} translate z*300}
/*
//Feuerwerk
#include "firered.inc"
#include "firegreen.inc"
#include "fireyellow.inc"
#include "firegold.inc"
#include "firesilver.inc"
object {Fire_lemon scale 50 translate <20, 50, 110>}
object {Fire_red scale 40 translate <-30, 65, 90>}
object {Fire_green scale 60 translate <0, 80, 100>}
object {Fire_gold scale 70 translate <-50, 40, 80>}
object {Fire_silver scale 20 translate <40, 50, 80>}
*/
//Fliege
object {Fliege scale .125 rotate <-90,90,0> translate <0,6.25,-50>}
#include "fish1.inc"
object {Fish scale .125 rotate <-90,-90,0> translate <-40,4,-10>}
object {Fish scale .125 rotate <-90,-45,0> translate <-43,3,-5>}

/*
#include "bush.inc"
object {Bush scale .25 translate <-60,-1,30>}
#include "tree.inc"
object {Tree scale .25 translate <60,-1,40>}

// SPRAY OPTIONS
#declare spray_loop = true
#declare particle_dist = 1
#declare particle_count = 10000
#declare particle_size = .5
#declare evaporate = 0
#declare nozzle_spin = 100
#declare particle_stretch = 3
#declare spray_turb = .1
#declare color_turb = 1
#declare spray_color = color rgbt <.9,.9,1,.9>
#declare particle_life = 2.5
#declare spray_strength = 15
#declare nozzle_angle = 90
object {
#include "Spray.inc"
translate y*6
finish { ambient 0.5 diffuse .5 phong 1 phong_size 100 reflection .4 refraction on ior 1.5 caustics 1}
}
*/

